Bug 26712 - Set focus for cursor to basket name input box on basketheader.pl
Summary: Set focus for cursor to basket name input box on basketheader.pl
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-10-16 15:58 UTC by Barbara Johnson
Modified: 2020-11-16 20:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch modifies the form for creating a new basket in acquisitions so that the user's cursor is automatically placed in the first field, the basket name input.
Version(s) released in:
20.11.00


Attachments
Bug 26712: Set focus for cursor to basket name input box on basketheader.pl (1.58 KB, patch)
2020-10-19 14:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26712: Set focus for cursor to basket name input box on basketheader.pl (1.64 KB, patch)
2020-10-19 18:50 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26712: Set focus for cursor to basket name input box on basketheader.pl (1.69 KB, patch)
2020-10-20 13:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-10-16 15:58:01 UTC
When creating a new basket on basketheader.pl you have to click in the basket name input box, which is a required field, so that you can enter text.  It would be more efficient to set the focus for the cursor to always be in the basket name input box so that you could just begin typing and eliminate an extra click.
Comment 1 Owen Leonard 2020-10-19 14:29:16 UTC
Created attachment 111995 [details] [review]
Bug 26712: Set focus for cursor to basket name input box on basketheader.pl

This patch adds the "focus" class to the basket name field in the form
for creating a new basket in acquisitions.

To test, apply the patch and go to Acquisitions -> Vendor -> New basket.

 - Upon page load the cursor should be focused on the basket name field.
 - The same should be true if you edit an existing basket.
Comment 2 ByWater Sandboxes 2020-10-19 18:50:15 UTC
Created attachment 112010 [details] [review]
Bug 26712: Set focus for cursor to basket name input box on basketheader.pl

This patch adds the "focus" class to the basket name field in the form
for creating a new basket in acquisitions.

To test, apply the patch and go to Acquisitions -> Vendor -> New basket.

 - Upon page load the cursor should be focused on the basket name field.
 - The same should be true if you edit an existing basket.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Katrin Fischer 2020-10-20 13:26:13 UTC
Created attachment 112037 [details] [review]
Bug 26712: Set focus for cursor to basket name input box on basketheader.pl

This patch adds the "focus" class to the basket name field in the form
for creating a new basket in acquisitions.

To test, apply the patch and go to Acquisitions -> Vendor -> New basket.

 - Upon page load the cursor should be focused on the basket name field.
 - The same should be true if you edit an existing basket.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 09:59:03 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-16 20:57:43 UTC
enhancement will not be backported to 20.05.x